<?php
/**
 * DouPHP
 * --------------------------------------------------------------------------------------------------
 * 版权所有 2013-2025 漳州豆壳网络科技有限公司，并保留所有权利。
 * 网站地址: http://www.douphp.com
 * --------------------------------------------------------------------------------------------------
 * 这不是一个自由软件！您只能在遵守授权协议前提下对程序代码进行修改和使用；不允许对程序代码以任何形式任何目的的再发布。
 * 授权协议: http://www.douphp.com/license.html
 * --------------------------------------------------------------------------------------------------
 * Author: DouCo Co.,Ltd.
 * Release Date: 2025-01-02
 */
define('IN_DOUCO', true);

$sub = 'user';
$subbox = array(
        "module" => 'vip',
        "sub" => $sub
);

$_CUR = 'vip';
require (dirname(__FILE__) . '/include/init.php');

// 引入和实例化订单功能
include_once (ROOT_PATH . 'include/order.class.php');
$dou_order = new Order();

// rec操作项的初始化
$rec = $check->is_rec($_REQUEST['rec']) ? $_REQUEST['rec'] : 'default';

// 权限验证
$callback = $dou_user->check_login_state(); // 登录验证
if ($callback['msg'] == 'ok') {
    $user_id = $callback['user_id'];
} else {
    $data['wrong'] = $_LANG['login_timeout'];
    die(json_encode($data));
}

// 错误提示初始
$data['wrong'] = '';

/**
 * +----------------------------------------------------------
 * VIP会员申请页
 * +----------------------------------------------------------
 */
if ($rec == 'default') {
    $sql = "SELECT * FROM " . $dou->table('vip_package') . " ORDER BY sort ASC, id DESC";
    
    $query = $dou->query($sql);
    while ($row = $dou->fetch_array($query)) {
        $package_list[] = array (
                "id" => $row['id'],
                "name" => $row['name'],
                "day" => $row['day'],
                "brief" => $row['brief'],
                "original_price" => $row['original_price'] > 0 ? $dou->price_format($row['original_price']) : '',
                "price" => $row['price'] > 0 ? $dou->price_format($row['price']) : '',
                "color" => $row['color'],
                "content" => explode("\r\n", $row['content']),
                "image" => $dou->dou_file($row['image'])
        );
    }
    
    // 数据封装
    $data['sql'] = $sql;
    $data['title'] = $_LANG['vip'];
    $data['package_list'] = $package_list;
    $data['content_field'] = vip_package_content();
}

/**
 * +----------------------------------------------------------
 * 会员中心
 * +----------------------------------------------------------
 */
elseif ($rec == 'user') {
    // 未加入分页条件的SQL语句
    $sql = "SELECT * FROM " . $dou->table('vip') . " WHERE user_id = '$user_id' ORDER BY id DESC";
    
    // 获取分页信息
    $page = $check->is_number($_REQUEST['page']) ? trim($_REQUEST['page']) : 1;
    $limit = $dou->pager($sql, 10, $page);
    
    $sql = $sql . $limit; // 加入分页条件的SQL语句
    $query = $dou->query($sql);
    while ($row = $dou->fetch_array($query)) {
        $log_list[] = array (
                "id" => $row['id'],
                "user" => $dou->user_basic($row['user_id']),
                "package" => $dou->get_row('vip_package', 'name, day, price', "id = '$row[id]'"),
                "price" => $dou->price_format($row['price']),
                "start_time" => date("Y-m-d", $row['start_time']),
                "end_time" => date("Y-m-d", $row['end_time']),
                "order_sn" => $row['order_sn'],
                "order_link" => $dou->rewrite_url_miniprogram('user', 'order') . '?order_sn=' . $row['order_sn'],
                "ip" => $row['ip'],
                "status" => $dou->data_lang_format('order_status_', $row['order_status']),
                "add_time" => date("Y-m-d", $row['add_time'])
        );
    }
 
    // 数据封装
    $data['title'] = $_LANG['vip_log'];
    $data['log_list'] = $log_list;
}

echo json_encode($data);

/**
 * +----------------------------------------------------------
 * VIP会员套餐简介字段格式化
 * +----------------------------------------------------------
 */
function vip_package_content() {
    return explode(',', $GLOBALS['_PARAM']['vip_package_content']);
}

?>